#include<bits/stdc++.h>
using namespace std;
int p(int x)
{
    if(x==1) return 1;
    else return x*p(x-2);
}
int s(int x)
{
    if(x==1) return 1 ;
    else return (x+s(x-2));
}
int main()
{
    ifstream fi("dqps.inp");
    ofstream fo("dqps.out");
    int n;
    fi>>n;
    fo<<p(2*n+1)<<endl<<s(2*n+1);
}
